Package csb :: Package bio :: Package nmr :: Class ChemShiftInfo

[frames] | no frames]

# Class ChemShiftInfo

source code

    object --+
             |
            ChemShiftInfo

Chemical shift struct.

Instance Methods

__init__(self, position, residue, name, element, shift) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__str__(self) str(x) | source code

ChemShiftInfo

clone(self, name) Clone the current shift and create a new one with the specified nucleus label. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
str | label String label representation
Inherited from `object`: `__class__`

Method Details

### __init__(self, position, residue, name, element, shift)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `position` (int) - residue rank (1-based)
  - `residue` (str or EnumItem) - amino acid type (a member of ProteinAlphabet)
  - `name` (str) - nucleus label
  - `element` (str or EnumItem) - nucleus type (a member of ChemElements)
  - `shift` (float) - chemical shift value
Overrides: object.__init__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)

Property Details

### label

String label representation

Get Method:
  unreachable.label(self) - String label representation
Type:
  str